# frozen_string_literal: true

require 'dry-schema'

module Njalla
  module V1
    module Schemas
      class JsonRpc < Dry::Schema::JSON
        define do
          required(:jsonrpc).filled(:string)
          required(:method).filled(:string)
          optional(:params).filled(:hash)
        end
      end
    end
  end
end
